## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanDOMStringCache::GetAndRelease Class Reference

Collaboration diagram for XalanDOMStringCache::GetAndRelease:

[legend]
List of all members.

## Public Member Functions

- GetAndRelease (XalanDOMStringCache &theCache)
- ~GetAndRelease ()
- XalanDOMString & get () const

## Constructor & Destructor Documentation

XalanDOMStringCache::GetAndRelease::GetAndRelease | ( | XalanDOMStringCache & | theCache | ) |

XalanDOMStringCache::GetAndRelease::~GetAndRelease | ( |  | ) |

## Member Function Documentation

XalanDOMString& XalanDOMStringCache::GetAndRelease::get | ( |  | ) | const

The documentation for this class was generated from the following file:

- XalanDOMStringCache.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.